

source('R/mmc.R')

# Read in the expression file - rows are genes- columns are samples
exprs = as.matrix(read.table('data/exprs.tab'))

# Calculate the normalized covariance or "intersample correlation" matrix.
# This matrix is used to correct the gene expression information in the 
exprs.ncov = mmc.ncov(exprs)


# Calculate the 10x10 coexpression matrix for the first 10 genes using the first method
exprs.cor = mmc.cor(exprs[1:10,],exprs.ncov)
# The coexpression matrix is then available as exprs.cor$rs

# Calculate the 10x10 coexpression matrix for the first 10 genes using the second  method, which is symmetric
exprs.corsym = mmc.corsym(exprs[1:10,],exprs.ncov)
# This function doesn't return all the other info - just the matrix
